# Usage

GraphQL-core provides two important capabilities: building a type schema, and serving queries against that type schema.

- Building a Type Schema
- Implementing the Resolver Functions
- Executing Queries
- Using the Schema Definition Language
- Using resolver methods
- Using an Introspection Query
- Parsing GraphQL Queries and Schema Notation
- Extending a Schema
- Validating GraphQL Queries
- Subscriptions
- Other Usages